## edu.cwru.SimpleRTS.model.prerequisite
Interface Prerequisite

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  BuildingPrerequisite, PrerequisiteHolder, UpgradePrerequisite

    public interface Prerequisite

extends java.io.Serializable

Method Summary
`boolean` `isFulfilled(State.StateView state)`

Method Detail

### isFulfilled

    boolean isFulfilled(State.StateView state)